Admin APIWorkflows executions
Subscribe to Step of a Workflow's Execution
Subscribe to a step in a workflow's execution to receive real-time information about its status and data. This route returns an event stream that you can consume using the [EventSource API](https://developer.mozilla.org/en-US/docs/Web/API/EventSource).
AuthorizationBearer <token>
In: header
Path Parameters
workflow_id*string
The workflows execution's workflow id.
transaction_id*string
The workflows execution's transaction id.
step_id*string
The workflows execution's step id.
Response Body
text/event-stream
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X GET "https://{tenant}.api.myxclade.com/admin/workflows-executions/string/string/string/subscribe""event: success\n data: {}"{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}